@import "components/taskbar-icon/taskbar-icon.component.scss";

.taskbar {
  position: absolute;
  left: 15%;
  top: calc(100% - 50px);
  width: 70%;
  height: 50px;
  background-color: var(--taskbar-background);
  z-index: 10;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  display: flex;
  justify-content: space-between;
}

.taskbar.wide {
  left: 0;
  width: 100%;
  border-radius: 0;
}

.desktop {
  width: 100%;
  height: 100%;
  z-index: 1;

  .desktop-icons {
    width: 100%;
    height: 100%;
    overflow: hidden;
  }

  .notifications {
    position: absolute;
    bottom: 70px;
    right: 10px;
    width: 450px;
    height: max-content;
  }
}
